function makeRandomData( OUTPUT_FILENAME )
%MAKERANDOMDATA 	This function produces an output file of random data 
%                   that can be read by the VHDL testbenches

%   The loops are split in two so that it doesnt add an empty line at 
%	after the last pixel.

%   Please use OUTPUT_FILENAME "'something'vhdl". You choose 'something,
%   and add vhdl behind. This is because the testbench looks for files 
%   with the vhdl suffix. In the testbench you just use 'something' as 
%   the input_file.

%EXAMPLE  	makeRandomData('randvhdl'); 
%
%			Where 'randvhdl' becomes the vhdl testbench input.
%			I use 'rand' as the file name in the testbench.

fid = fopen(OUTPUT_FILENAME, 'w');

for i = 1:1:1079
    for j = 1:1:1920
        tr = round(rand()*255);
        tg = round(rand()*255);
        tb = round(rand()*255);
        
        if (tr < 16) 
            fprintf(fid,'%X%X', 0,tr);
        else
            fprintf(fid,'%X', tr);
        end
        if (tg < 16) 
            fprintf(fid,'%X%X', 0,tg);
        else
            fprintf(fid,'%X', tg);
        end
        if (tb < 16) 
            fprintf(fid,'%X%X\n', 0,tb);
        else
            fprintf(fid,'%X\n', tb);
        end
    end
end

for j = 1:1:1919
    tr = round(rand()*255);
    tg = round(rand()*255);
    tb = round(rand()*255);
    
    if (tr < 16) 
        fprintf(fid,'%X%X', 0,tr);
    else
        fprintf(fid,'%X', tr);
    end
    if (tg < 16) 
        fprintf(fid,'%X%X', 0,tg);
    else
        fprintf(fid,'%X', tg);
    end
    if (tb < 16) 
        fprintf(fid,'%X%X\n', 0,tb);
    else
        fprintf(fid,'%X\n', tb);
    end
end
    tr = round(rand()*255);
    tg = round(rand()*255);
    tb = round(rand()*255);

    if (tr < 16)
        fprintf(fid,'%X%X', 0,tr);
    else
        fprintf(fid,'%X', tr);
    end
    if (tg < 16) 
        fprintf(fid,'%X%X', 0,tg);
    else
        fprintf(fid,'%X', tg);
    end
    if (tb < 16) 
        fprintf(fid,'%X%X', 0,tb);
    else
        fprintf(fid,'%X', tb);
    end

fclose(fid);

end