library ieee;
use ieee.std_logic_1164.all;
use ieee.STD_LOGIC_ARITH.ALL;
use ieee.std_logic_unsigned.all;
use work.defs.all;

entity gol_enc_mux is
	Port(
		D : in  std_logic_vector(1 downto 0);
		Y : out std_logic;
		S : in  std_logic
	);
end gol_enc_mux;
architecture arch of gol_enc_mux is
-- Select q,r or 0 based on position (D):
begin
	with D select Y <=
		'1' when "00",
		'0' when "10",
		S when "01",
		S when others;
end arch;