library ieee;
use ieee.std_logic_1164.all;
use IEEE.std_logic_arith.all;
use IEEE.std_logic_unsigned.all;
use work.defs.all;

Entity gol_enc_shift is
	Port(
		clk : in  std_logic;
		rst : in  std_logic;
		O   : out std_logic_vector(SMPL_LEN - 1 downto 0);
		I   : in  std_logic_vector(SMPL_LEN - 1 downto 0)
	);
End gol_enc_shift;
Architecture arch of gol_enc_shift is
Begin
	process(clk) is
	begin
		if rising_edge(clk) then
				if K_INT = 1 then
					O <= '0' & I(7 downto 1);
				elsif K_INT = 2 then
					O <= "00" & I(7 downto 2);
				elsif K_INT = 3 then
					O <= "000" & I(7 downto 3);
				end if;
			end if;
	end process;
End arch;