#ifndef ADAPTIVELIST_H
#define ADAPTIVELIST_H

#include "def.h"

class AdaptiveList {
public:
	AdaptiveList();
	void add(int c, int k);
	void print();
	void clear();
private:
	int a[CODEC_NUM][SS3];
};

AdaptiveList::AdaptiveList() {
	for (int i = 0; i < CODEC_NUM; i++) {
		for (int j = 0; j < SS3; j++) {
			a[i][j] = 0;
		}
	}
}

void AdaptiveList::add(int c, int k) {
	a[c][k]++;
}

void AdaptiveList::print() {
	cout << "Codec\tRed\tGreen\tBlue\n";
	for (int i = 0; i < CODEC_NUM; i++) {
		cout << cCODEC[i] << "\t";
		for (int j = 0; j < SS3; j++) {
			cout << a[i][j] << "\t";
		}
		cout << endl;
	}
}

void AdaptiveList::clear() {
	for (int i = 0; i < CODEC_NUM; i++) {
		for (int j = 0; j < SS3; j++) {
			a[i][j] = 0;
		}
	}
}

#endif //ADAPTIVELIST
