#ifndef SC_BV_VAR_H
#define SC_BV_VAR_H
#include <systemc.h>

class sc_bv_var : public sc_bv<256>{
public:
	sc_bv_var& operator=(const sc_bv<256>& a){
		sc_bv_base::operator=(a);
		return *this;
	}
	bool operator==( sc_bv_var& a) const;
	bool operator!=( sc_bv_var& a) const;
	int get_size(){
		return s;
	}
	void set_size(int a){
		s = a;
	}
	sc_bv_var() : sc_bv<256>(){};

private:
	int s;
};

inline bool sc_bv_var::operator==( sc_bv_var& a) const{
	return ( (s == a.get_size()) && (a == *this) );
}
inline bool sc_bv_var::operator!=( sc_bv_var& a) const{
	return ( !(s == a.get_size()) && (a == *this) );
}


#endif // SC_BV_VAR_H
