library ieee;
use ieee.std_logic_1164.all;
use IEEE.std_logic_arith.all;
use IEEE.std_logic_unsigned.all;
use work.defs.all;

Entity gol_enc_mux is
	Port(
		D : in  std_logic_vector(1 downto 0);
		Y : out std_logic;
		S : in  std_logic
	);
End gol_enc_mux;
Architecture arch of gol_enc_mux is
Begin
	with D select Y <=
		'1' when "00",
		'0' when "10",
		S when "01",
		S when others;
End arch;